#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int n, l, h;
    int br = 0;

    cin >> n >> l;

    //int stalaktiti[n];

    for(int i=0; i<n; i++){
       cin >> h;
       if (l < h){
         br = br+1;
       } else{
         break;
       }
    };

    int rez = -1;

    if (br+1 > n){
      cout << rez << endl;
    } else{
      cout << br+1 << endl;
    }

    return 0;
}